routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/','frontController@index');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('verifyEmailFirst','Auth\RegisterController@verifyEmailFirst')->name('verifyEmailFirst');

Route::get('verify/{email}/{verifyToken}','Auth\RegisterController@sendEmailDone')->name('sendEmailDone');
Route::get('home/users/{id}/edit','userController@edit')->name('showUser');
Route::resource('home/users','userController');
Route::get('home/users/profile/{id}','userController@show')->name('showProfile');
Route::get('home/moderations/users','app\userController@moderation')->name('moderations');
Route::get('home/register/users','app\userController@register')->name('create');
Route::get('home/verifications/users','app\userController@verification')->name('verifications');
Route::PUT('home/moderation/{id}','app\userController@endModerate')->name('endModerate');
Route::get('home/moderation/uploadfile/{id}','app\userController@docsUpdate')->name('docsUpdate');
Route::PUT('home/moderation/uploadfile/{id}','app\userController@docsStore')->name('docsStore');

Route::get('home/users/profile/workexperience/{id}','app\userController@workExperiencesEdit')->name('workExperienceEdit');
Route::PUT('home/users/profile/workexperience/{id}','app\userController@workExperiencesPublic')->name('workExperiencePublic');
//Horarios de trabajo Sanatorio
Route::get('home/users/profile/horario/sanatorio/{id}','app\userController@horariosSanatorios')->name('horariosSanatorios');
Route::PUT('home/users/profile/horario/sanatorio/{id}','app\userController@horariosSanatoriosUpdate')->name('horariosSanatoriosUpdate');
//Horaio de trabajo Hospital
Route::get('home/users/profile/horario/hospital/{id}','app\userController@horariosHospitales')->name('horariosHospital');
Route::PUT('home/users/profile/horario/hospital/{id}','app\userController@horariosHospitalesUpdate')->name('horariosHospitalUpdate');
#Horario de trabajo en Domicilio
Route::get('home/users/profile/horario/domicilio/{id}','app\userController@horariosDomicilios')->name('horariosDomicilio');
Route::PUT('home/users/profile/horario/domicilio/{id}','app\userController@horariosDomiciliosUpdate')->name('horariosDomicilioUpdate');
// Redirect the user to the provider authentication page
Route::get('auth/facebook', 'Auth\SocialAuthController@redirectToProvider')->name('social.auth');
Route::get('auth/facebook/callback', 'Auth\SocialAuthController@handleProviderCallback');
#
#Routas para el costo de los servicios
Route::resource('/home/contabilidad/costo','costoController'); 
#
#Routes para Manejo de las tasas de cambios
Route::resource('/home/contabilidad/tasadecambio','tasaCambioController');
#Route para el manejo de las membresias
Route::resource('/home/productos/membresia','membresiaController');
#Ruta para manejo de Servicios
Route::resource('/home/productos/servicios','serviciosController');
#Route para manejo de los costos de las membresias
Route::resource('/home/contabilidad/costoMembresia','membresiaCostoController');
#Routes para las contrataciones de servicios
Route::resource('/home/contrato','contratosController');
#
#Contrat de Membresias
Route::resource('/home/productos/contrato/membresias','membresiaContratoController');
#
Route::resource('/home/invoice','facturaController');
#
#Routes para los pagos MercadoPago y PayPal
Route::post('/home/invoice/payout','payController@pagosMercadoPago')->name('recibirPagos');




#seecion de desarrollo para atencion al cliente
Route::get('/home/atencion_al_cliente/membresias','app\atencionCliente@membresiaVentasIndex')->name('ventaMembresia');
Route::get('/home/atencion_al_cliente/ventas/membresias','app\atencionCliente@membresiaVentasShow')->name('ventaMembresiaUsuario');
Route::GET('/home/atencion_al_cliente/ventas/membresias/usuario_registrado/','app\atencionCliente@membresiaVentasPais')->name('ventaMembresiaPais');

// Seccion de contabilidad para atencion al cliente
Route::get('/home/contabilidad/atencion_al_cliente/membresias/{id}/vendedor','app\atencionCliente@resumenVentas')->name('resumenVentas');

//SEccion de Comisiones
Route::get('/home/comisiones','app\comisionesController@mostrarComisiones')->name('comisiones.show');
Route::get('/home/comisiones/call_center','app\comisionesController@mostrarComisionesCallCenter')->name('comisionesCall.show');
Route::get('/home/comisiones/referidos','app\comisionesController@mostrarComisionesReferidos')->name('comisionesReferidos.show');

resources/views/Templates/Dashboard/assets/sidebar/Comisiones.blade.php
@if(Auth::user()->role != 1 || Auth::user()->role != 2)

<div class="pcoded-navigation-label">Comisiones</div>
<ul class="pcoded-item pcoded-left-item">
<li class="">
<a href="{{route('comisiones.show')}}">
<span class="pcoded-micon"><i class="ti-receipt"></i></span>
<span class="pcoded-mtext">Comisiones Individual</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<li class="">
<a href="{{route('comisionesCall.show')}}">
<span class="pcoded-micon"><i class="ti-receipt"></i></span>
<span class="pcoded-mtext">Comisiones Call Center</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<li class="">
<a href="{{route('comisionesReferidos.show')}}">
<span class="pcoded-micon"><i class="ti-receipt"></i></span>
<span class="pcoded-mtext">Comisiones Referidos</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
</ul>

@endif

resources/views/Templates/Dashboard/assets/sidebar/menuAdministrador.blade.php
@if(Auth::user()->role == 1000)
<div class="pcoded-navigation-label">Administración de usuarios</div>
<ul class="pcoded-item pcoded-left-item">
<li class="pcoded-hasmenu">
<a href="javascript:void(0)">
<span class="pcoded-micon"><i class="ti-user"></i><b>U</b></span>
<span class="pcoded-mtext">Usuarios</span>
<span class="pcoded-mcaret"></span>
</a>
<ul class="pcoded-submenu">
<li class="">
<a href="{{route('users.create')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Crear nuevo usuario</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<li class="">
<a href="{{route('users.index')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Mostrar Usuarios</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<!-- new
<li class="">
<a href="">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Analytics</span>
<span class="pcoded-badge label label-info ">NEW</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
-->
</ul>
</li>
</ul>
@endif

resources/views/Templates/Dashboard/assets/sidebar/menuAtencionAlCliente.blade.php
@if(Auth::user()->role == 502 || Auth::user()->role == 1000 || Auth::user()->role == 700)

<div class="pcoded-navigation-label">Atencion al Cliente</div>
<ul class="pcoded-item pcoded-left-item">
<li class="pcoded-hasmenu">
<a href="javascript:void(0)">
<span class="pcoded-micon"><i class="ti-receipt"></i><b>U</b></span>
<span class="pcoded-mtext">Membresias</span>
<span class="pcoded-mcaret"></span>
</a>
<ul class="pcoded-submenu">
<li class="">
<a href="{{route('ventaMembresia')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Contratar Ahora</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<li class="">
<a href="{{route('resumenVentas',['id'=>Auth::user()->id])}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Membresias vendidas</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
</ul>
</li>
</ul>

@endif

resources/views/Templates/Dashboard/assets/sidebar/menuCliente.blade.php
@if(Auth::user()->role == 1000 || Auth::user()->role == 2)
<div class="pcoded-navigation-label">Perfil Cliente</div>
<ul class="pcoded-item pcoded-left-item">
<li class="pcoded-hasmenu">
<a href="javascript:void(0)">
<span class="pcoded-micon"><i class="ti-user"></i><b>U</b></span>
<span class="pcoded-mtext">Mi Perfil</span>
<span class="pcoded-mcaret"></span>
</a>
<ul class="pcoded-submenu">
<?php 
if(empty(Auth::user()->id_docs)){
 ?>
<li class="">
<a href="{{route('docsUpdate',['id'=>encrypt(Auth::user()->id)])}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Documentos de Verificación</span>
<span class="pcoded-badge label label-info ">*</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<?php } ?>
<li class="">
<a href="{{route('membresias.show',['id'=>encrypt(Auth::user()->id)])}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Mis Membresias</span>
<span class="pcoded-badge label label-info ">New</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
</ul>
</li>
</ul>
@endif

resources/views/Templates/Dashboard/assets/sidebar/menuContabilidad.blade.php
@if(Auth::user()->role == 1000)
<div class="pcoded-navigation-label">Administración & Contabilidad</div>
<ul class="pcoded-item pcoded-left-item">
<li class="pcoded-hasmenu">
<a href="javascript:void(0)">
<span class="pcoded-micon"><i class="ti-bar-chart-alt"></i></span>
<span class="pcoded-mtext">Tasa de Cambio</span>
<span class="pcoded-mcaret"></span>
</a>
<ul class="pcoded-submenu">
<li class="">
<a href="{{route('tasadecambio.index')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Ver</span>
<span class="pcoded-mcaret"></span>
</a>
<li class="">
<a href="{{route('tasadecambio.create')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Crear</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
</li>
</ul>
</li>
	<!-- Inicio de Administración de Membresias -->
<li class="pcoded-hasmenu">
<a href="javascript:void(0)">
<span class="pcoded-micon"><i class="ti-bar-chart-alt"></i></span>
<span class="pcoded-mtext">Administración de Membresias</span>
<span class="pcoded-mcaret"></span>
</a>
	<!-- Membresias -->
<ul class="pcoded-submenu">
<li class="">
<a href="{{route('membresia.index')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Ver</span>
<span class="pcoded-mcaret"></span>
</a>
<li class="">
<a href="{{route('membresia.create')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Crear</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<li class="">
<a href="{{route('costoMembresia.index')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Resumen de Precios</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
</li>
</ul>
</li>
<li class="pcoded-hasmenu">
<a href="javascript:void(0)">
<span class="pcoded-micon"><i class="ti-bar-chart-alt"></i></span>
<span class="pcoded-mtext">Servicios Urgentes</span>
<span class="pcoded-mcaret"></span>
</a>
<ul class="pcoded-submenu">
<li class="">
<a href="{{route('servicios.index')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Ver</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<li class="">
<a href="{{route('servicios.create')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Crear</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
</ul>
</li>
</ul>
@endif

resources/views/Templates/Dashboard/assets/sidebar/menuContrato.blade.php
<div class="pcoded-navigation-label">Contrataciones (test)</div>
<ul class="pcoded-item pcoded-left-item">
<li class="pcoded-hasmenu">
<a href="javascript:void(0)">
<span class="pcoded-micon"><i class="ti-receipt"></i><b>U</b></span>
<span class="pcoded-mtext">Membresias</span>
<span class="pcoded-mcaret"></span>
</a>
<ul class="pcoded-submenu">
<li class="">
<a href="{{route('membresias.index')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Membresia</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<li class="">
<a href="{{route('contrato.index')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Contratar Ahora</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
</ul>
</li>
<li class="pcoded-hasmenu">
<a href="javascript:void(0)">
<span class="pcoded-micon"><i class="ti-receipt"></i><b>U</b></span>
<span class="pcoded-mtext">Servicios urgentes</span>
<span class="pcoded-mcaret"></span>
</a>
<ul class="pcoded-submenu">
<li class="">
<a href="{{route('invoice.index')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Mis Contratos</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<li class="">
<a href="{{route('contrato.index')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Contratar Ahora</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
</ul>
</li>
</ul>

resources/views/Templates/Dashboard/assets/sidebar/menuModerador.blade.php
@if(Auth::user()->role == 1000 || Auth::user()->role == 500)
<div class="pcoded-navigation-label">Moderación de Usuarios</div>
<ul class="pcoded-item pcoded-left-item">
<li class="pcoded-hasmenu">
<a href="javascript:void(0)">
<span class="pcoded-micon"><i class="ti-user"></i><b>U</b></span>
<span class="pcoded-mtext">Usuarios</span>
<span class="pcoded-mcaret"></span>
</a>
<ul class="pcoded-submenu">
<li class="">
<a href="{{route('moderations')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Pendientes por verificación datos</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<li class="">
<a href="{{route('create')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Pendiente por completar catos de registro</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<li class="">
<a href="{{route('verifications')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Pendiente por verificar correo</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
</ul>
</li>
</ul>
@endif

resources/views/Templates/Dashboard/assets/sidebar/menuSocios.blade.php
@if(Auth::user()->role == 1000 || Auth::user()->role == 700)

<div class="pcoded-navigation-label">Socio Activo</div>
<ul class="pcoded-item pcoded-left-item">
<li class="pcoded-hasmenu">
<a href="javascript:void(0)">
<span class="pcoded-micon"><i class="ti-receipt"></i><b>U</b></span>
<span class="pcoded-mtext">Membresias</span>
<span class="pcoded-mcaret"></span>
</a>
<ul class="pcoded-submenu">
<li class="">
<a href="{{route('ventaMembresia')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Contratar Ahora</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<li class="">
<a href="{{route('resumenVentas',['id'=>Auth::user()->id])}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Membresias vendidas</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
</ul>
</li>
<li class="pcoded-hasmenu">
<a href="javascript:void(0)">
<span class="pcoded-micon"><i class="ti-bar-chart"></i><b>U</b></span>
<span class="pcoded-mtext">Ingresos</span>
<span class="pcoded-mcaret"></span>
</a>
<!-- <ul class="pcoded-submenu">
<li class="">
<a href="{{route('ventaMembresia')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Ver Ingresos</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
</ul> -->
</li>
<!-- <li class="pcoded-hasmenu">
<a href="javascript:void(0)">
<span class="pcoded-micon"><i class="ti-receipt"></i><b>U</b></span>
<span class="pcoded-mtext">Servicios urgentes</span>
<span class="pcoded-mcaret"></span>
</a>
<ul class="pcoded-submenu">
<li class="">
<a href="{{route('invoice.index')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Mis Contratos</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<li class="">
<a href="{{route('contrato.index')}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Contratar Ahora</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
</ul>
</li> -->
</ul>

@endif

resources/views/Templates/Dashboard/assets/sidebar/menuTest.blade.php
@if(Auth::user()->role == 1000 || Auth::user()->role == 500)

<div class="pcoded-navigation-label">Mi Perfil (test)</div>
<ul class="pcoded-item pcoded-left-item">
<li class="pcoded-hasmenu">
<a href="javascript:void(0)">
<span class="pcoded-micon"><i class="ti-user"></i><b>U</b></span>
<span class="pcoded-mtext">Mi Perfil</span>
<span class="pcoded-mcaret"></span>
</a>
<ul class="pcoded-submenu">
<li class="">
<a href="{{route('workExperienceEdit', ['id'=>encrypt(Auth::user()->id)])}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Nivel de estudios</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<li class="">
<a href="{{route('docsUpdate',['id'=>encrypt(Auth::user()->id)])}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Metodos de Pago</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
</ul>
</li>
</ul>
@include('Templates.Dashboard.assets.sidebar.menuContrato')
@endif

resources/views/Templates/Dashboard/assets/sidebar/menuTrabajador.blade.php
@if(Auth::user()->role == 1000 || Auth::user()->role == 1)
<div class="pcoded-navigation-label">Perfil de Cuidador</div>
<ul class="pcoded-item pcoded-left-item">
<li class="pcoded-hasmenu">
<a href="javascript:void(0)">
<span class="pcoded-micon"><i class="ti-user"></i><b>U</b></span>
<span class="pcoded-mtext">Mi Perfil</span>
<span class="pcoded-mcaret"></span>
</a>
<ul class="pcoded-submenu">
<li class="pcoded-hasmenu">
<a href=javascript:void(0)"">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Disponibilidad de Horario</span>
<span class="pcoded-mcaret"></span>
</a>
<ul class="pcoded-submenu">
<li class="">
<a href="{{route('horariosSanatorios',['id'=>encrypt(Auth::user()->id)])}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Sanatorios</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<li class="">
<a href="{{route('horariosHospital',['id'=>encrypt(Auth::user()->id)])}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Hospitales</span>
<span class="pcoded-mcaret"></span>
</a>
</li>

<li class="">
<a href="{{route('horariosDomicilio',['id'=>encrypt(Auth::user()->id)])}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Domicilios</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
</ul>
</li>
<li class="">
<a href="{{route('workExperienceEdit', ['id'=>encrypt(Auth::user()->id)])}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Experiencia laboral</span>
<span class="pcoded-badge label label-info ">NEW</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<?php 
if(empty(Auth::user()->id_docs)){
 ?>
<li class="">
<a href="{{route('docsUpdate',['id'=>encrypt(Auth::user()->id)])}}">
<span class="pcoded-micon"><i class="ti-angle-right"></i></span>
<span class="pcoded-mtext">Documentos de Verificación</span>
<span class="pcoded-badge label label-info ">*</span>
<span class="pcoded-mcaret"></span>
</a>
</li>
<?php } ?>
</ul>
</li>
</ul>
@endif